List channel shorts
curl --request POST \
--url https://app.dumplingai.com/api/v1/youtube/channel/shorts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channelId": "<string>",
"handle": "<string>",
"continuationToken": "<string>"
}
'import requests
url = "https://app.dumplingai.com/api/v1/youtube/channel/shorts"
payload = {
"channelId": "<string>",
"handle": "<string>",
"continuationToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({channelId: '<string>', handle: '<string>', continuationToken: '<string>'})
};
fetch('https://app.dumplingai.com/api/v1/youtube/channel/shorts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"videos": [
{
"id": "<string>",
"title": "<string>",
"thumbnail": "<string>",
"url": "<string>",
"type": "<string>",
"publishDateText": "<string>",
"publishDate": "2023-11-07T05:31:56Z",
"viewCountText": "<string>",
"viewCountInt": 123,
"lengthText": "<string>",
"channel": {}
}
],
"shorts": [
{
"id": "<string>",
"title": "<string>",
"thumbnail": "<string>",
"url": "<string>",
"type": "<string>",
"publishDateText": "<string>",
"publishDate": "2023-11-07T05:31:56Z",
"viewCountText": "<string>",
"viewCountInt": 123,
"lengthText": "<string>",
"channel": {}
}
],
"continuationToken": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Data APIs
Get YouTube Channel Shorts
Return YouTube Shorts for a given channel with pagination support.
POST
/
api
/
v1
/
youtube
/
channel
/
shorts
List channel shorts
Description
This endpoint retrieves all YouTube Shorts from a channel. Provides basic information about each short including title, thumbnail, and view counts. For detailed information about specific shorts, use the Video Details endpoint.Endpoint
POST https://app.dumplingai.com/api/v1/youtube/channel/shorts
Headers
- Content-Type:
application/json - Authorization: Bearer
<API_KEY>(required)
Request Body
{
"channelId": "string", // Optional. YouTube channel ID (e.g., "UCxcTeAKWJca6XyJ37_ZoKIQ")
"handle": "string", // Optional. YouTube channel handle (e.g., "@channelname")
"sort": "string", // Optional. Sort order: "newest" or "popular". Default: "newest"
"continuationToken": "string" // Optional. Token for pagination from previous response
}
channelId or handle is required.
Accepted Values for sort
| Value | Description |
|---|---|
| newest | Sort by most recently published shorts |
| popular | Sort by most popular shorts (views) |
Responses
Success (200)
Returns an array of shorts from the specified channel with pagination support.{
"success": true,
"shorts": [
{
"type": "short",
"id": "01D3CgMZ29I",
"url": "https://www.youtube.com/watch?v=01D3CgMZ29I",
"title": "WHAT A MATCH",
"thumbnail": "https://i.ytimg.com/vi/01D3CgMZ29I/oardefault.jpg",
"viewCountText": "13K",
"viewCountInt": 13000
},
{
"type": "short",
"id": "zCgeCq9hKhY",
"url": "https://www.youtube.com/watch?v=zCgeCq9hKhY",
"title": "THE FINAL BOSS ALWAYS HAS A PLAN",
"thumbnail": "https://i.ytimg.com/vi/zCgeCq9hKhY/oardefault.jpg",
"viewCountText": "36K",
"viewCountInt": 36000
}
],
"continuationToken": "4qmFsgLv..." // Present if more shorts are available
}
- Content-Type: application/json
- X-RateLimit-Limit: The rate limit for the user
- X-RateLimit-Remaining: The remaining number of requests for the user
Bad Request (400)
Returned if the request is invalid or missing required parameters.{
"error": "At least one parameter is required: 'channelId' or 'handle'"
}
Bad Gateway (502)
Returned if the external service is unavailable or returns invalid data.{
"error": "Failed to retrieve YouTube channel shorts"
}
Internal Server Error (500)
Returned if there’s an unexpected server error.{
"error": "An unexpected server error occurred while fetching YouTube channel shorts"
}
Example Request
curl -X POST https://app.dumplingai.com/api/v1/youtube/channel/shorts \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"handle": "@ThePatMcAfeeShow",
"sort": "popular"
}'
Example Response
{
"success": true,
"shorts": [
{
"type": "short",
"id": "01D3CgMZ29I",
"url": "https://www.youtube.com/watch?v=01D3CgMZ29I",
"title": "WHAT A MATCH",
"thumbnail": "https://i.ytimg.com/vi/01D3CgMZ29I/oardefault.jpg?sqp=-oaymwEdCJUDENAFSFWQAgHyq4qpAwwIARUAAIhCcAHAAQY=&rs=AOn4CLC9HKSvAwuaWKMyklKCnLr5ElK_WA",
"viewCountText": "13K",
"viewCountInt": 13000
},
{
"type": "short",
"id": "zCgeCq9hKhY",
"url": "https://www.youtube.com/watch?v=zCgeCq9hKhY",
"title": "THE FINAL BOSS ALWAYS HAS A PLAN",
"thumbnail": "https://i.ytimg.com/vi/zCgeCq9hKhY/oardefault.jpg?sqp=-oaymwEdCJUDENAFSFWQAgHyq4qpAwwIARUAAIhCcAHAAQY=&rs=AOn4CLAmBhUDDOIZdUytfQp28SS82FJHqw",
"viewCountText": "36K",
"viewCountInt": 36000
}
],
"continuationToken": "4qmFsgLv..."
}
Notes
- Either
channelIdorhandlemust be provided - Channel handles should include the @ symbol (e.g., “@channelname”)
- The
continuationTokenfrom the response can be used to fetch additional shorts - This endpoint provides basic short information only - use the Video Details endpoint for complete metadata, descriptions, and transcripts
- This endpoint uses 10 credits per request
- Results are paginated - use the
continuationTokento retrieve additional pages - Some channels may not have any shorts available
Rate Limiting
Rate limit headers (X-RateLimit-Limit and X-RateLimit-Remaining) are included in the response to indicate the user’s current rate limit status.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Fetch Shorts from a channel with optional pagination. Supply either channelId or handle.
Token from a previous response for pagination.
Sort order for the result set.
Available options:
latest, popular, newest Optional identifier describing where the API request originated.
Available options:
API, WEB, MAKE_DOT_COM, ZAPIER, N8N, PLAYGROUND, DEFAULT_AUTOMATION, AGENT_PREVIEW, AGENT_LIVE, AUTOPILOT, STUDIO